Duplicate a sequence and its steps.
curl --request POST \
--url https://api.parallellabs.app/api/v0/sequences/{sequenceId}/duplicate \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/sequences/{sequenceId}/duplicate"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/sequences/{sequenceId}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sequence": {
"created": "<string>",
"description": "<string>",
"id": "<string>",
"includeUnsubscribeText": true,
"memberCount": 123,
"name": "<string>",
"status": "<string>",
"steps": [
{
"abTestEnabled": true,
"abTestName": "<string>",
"actionParameters": {},
"actionType": "<string>",
"aiPersonalized": true,
"aiPersonalizedInstructions": "<string>",
"autoAgentParameters": {
"abilities": [
"<string>"
],
"agentId": "<string>",
"autoAgentChannel": "<string>",
"goal": "<string>",
"maxResponseDelayMinutes": 123,
"maxSteps": 123,
"minResponseDelayMinutes": 123,
"useSenderProfileAgent": true
},
"content": "<string>",
"created_date": "<string>",
"daysAfterPrevious": 123,
"id": "<string>",
"order": 123,
"platform": "<string>",
"schedulingIntegrationId": "<string>",
"senderProfile": "<string>",
"sequenceId": "<string>",
"stepName": "<string>",
"subject": "<string>",
"trackCalendarBooking": true,
"updated_date": "<string>",
"variants": [
{}
]
}
],
"unsubscribeText": "<string>",
"updated": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Sequences
Duplicate a sequence and its steps.
POST
/
api
/
v0
/
sequences
/
{sequenceId}
/
duplicate
Duplicate a sequence and its steps.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
Duplicated sequence
Sequence response
Sequence object
Show child attributes
Show child attributes
⌘I

